curl --request POST \
--url https://live.copilot.fabric.inc/api-product/v1/product/attribute/mapping/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"page": 0,
"size": 10,
"include": {
"attribute": true
},
"sort": [
{}
],
"match": {
"target": "<string>",
"mapping": "<string>",
"attributeId": "62e2ae29c3004a000950ad5f",
"name": "<string>",
"description": "<string>",
"required": true
}
}
'import requests
url = "https://live.copilot.fabric.inc/api-product/v1/product/attribute/mapping/search"
payload = {
"page": 0,
"size": 10,
"include": { "attribute": True },
"sort": [{}],
"match": {
"target": "<string>",
"mapping": "<string>",
"attributeId": "62e2ae29c3004a000950ad5f",
"name": "<string>",
"description": "<string>",
"required": True
}
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
page: 0,
size: 10,
include: {attribute: true},
sort: [{}],
match: {
target: '<string>',
mapping: '<string>',
attributeId: '62e2ae29c3004a000950ad5f',
name: '<string>',
description: '<string>',
required: true
}
})
};
fetch('https://live.copilot.fabric.inc/api-product/v1/product/attribute/mapping/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalSize": 100,
"pageSize": 10,
"pages": 10,
"mappings": [
{
"attributeId": "62e2ae29c3004a000950ad5f",
"attribute": {
"id": "<string>",
"statuses": [
{
"code": "<string>",
"name": "<string>",
"description": "<string>",
"createdOn": "2023-11-07T05:31:56Z",
"createdBy": "broma0",
"modifiedOn": "2023-11-07T05:31:56Z",
"modifiedBy": "broma0"
}
],
"files": [
{
"name": "<string>",
"statuses": [
{
"code": "<string>",
"name": "<string>",
"description": "<string>",
"createdOn": "2023-11-07T05:31:56Z",
"createdBy": "broma0",
"modifiedOn": "2023-11-07T05:31:56Z",
"modifiedBy": "broma0"
}
],
"progress": 100,
"createdOn": "2023-11-07T05:31:56Z",
"createdBy": "broma0",
"modifiedOn": "2023-11-07T05:31:56Z",
"modifiedBy": "broma0",
"secondsTakenToImport": 123,
"secondsTakenToProcess": 123
}
],
"name": "<string>",
"description": "<string>",
"locales": [
{
"locale": "fr-ca",
"name": "Un Nom Français"
}
],
"localizable": true,
"mapping": "<string>",
"serialStart": 123,
"format": "YYYY-MM-DD",
"formula": "value < 10 || value > 20",
"validation": {
"required": true,
"inheritable": true,
"inverse": false,
"unique": true,
"exact": "<string>",
"attributeTypes": [],
"contains": "<string>",
"range": {
"min": "<string>",
"max": "<string>"
},
"formula": "value < 10 || value > 20",
"oneOf": [
"<string>"
]
},
"createdOn": "2023-11-07T05:31:56Z",
"createdBy": "broma0",
"modifiedOn": "2023-11-07T05:31:56Z",
"modifiedBy": "broma0"
},
"mapping": "SKU",
"target": "ITEM",
"name": "Item SKU",
"description": "Item SKU",
"required": true,
"validation": {
"required": true,
"inheritable": true,
"inverse": false,
"unique": true,
"exact": "<string>",
"attributeTypes": [],
"contains": "<string>",
"range": {
"min": "<string>",
"max": "<string>"
},
"formula": "value < 10 || value > 20",
"oneOf": [
"<string>"
]
},
"createdOn": "2021-09-23T17:47:04.231Z",
"createdBy": "broma0",
"modifiedOn": "2023-11-07T05:31:56Z",
"modifiedBy": "broma0"
}
]
}{
"code": 400,
"message": "Client error"
}{
"code": 500,
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Find attribute mapping
Searches for attribute mapping based on the given search criteria. You will get a paginated response, which you can narrow down using filter criteria such as page and size.
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
Page number to be retrieved.
Note:
1) Applicable only in a paginated response.
2) Always paired with size
0
Number of records per page
Note:
1) Applicable only in a paginated response.
2) Always paired with page
10
Show child attributes
Show child attributes
Sorting preference
Show child attributes
Show child attributes
Specification for matching attribute mapping.
Show child attributes
Show child attributes
Was this page helpful?
